Loading...
Searching...
No Matches
mjr2pcap_ip_header Struct Reference

## Data Fields

uint8_t | version:4
uint8_t | hlen:4
uint8_t | tos
uint16_t | tlen
uint16_t | id
uint16_t | flags
uint8_t | ttl
uint8_t | protocol
uint16_t | csum
uint8_t | src [4]
uint8_t | dst [4]

## Field Documentation

## csum

uint16_t mjr2pcap_ip_header::csum

## dst

uint8_t mjr2pcap_ip_header::dst[4]

## flags

uint16_t mjr2pcap_ip_header::flags

## hlen

uint8_t mjr2pcap_ip_header::hlen

## id

uint16_t mjr2pcap_ip_header::id

## protocol

uint8_t mjr2pcap_ip_header::protocol

## src

uint8_t mjr2pcap_ip_header::src[4]

## tlen

uint16_t mjr2pcap_ip_header::tlen

## tos

uint8_t mjr2pcap_ip_header::tos

## ttl

uint8_t mjr2pcap_ip_header::ttl

## version

uint8_t mjr2pcap_ip_header::version

The documentation for this struct was generated from the following file:

- mjr2pcap.c